### Method

# Snapd Client notices_set_since_nanoseconds

since: 1.66

#### Declaration [src]

    void
    snapd_client_notices_set_since_nanoseconds (
      SnapdClient* client,
      gint32 nanoseconds
    )

#### Description [src]

Allows to set the “since” parameter with nanosecond accuracy when doing a call to get the notices. This is currently needed because GDateTime has only an accuracy of 1 microsecond, but to receive notice events correctly, without loosing any, it is needed 1 nanosecond accuracy in the value passed on in the `since_date_time` parameter.

The value is “reset” after any call to snapd_client_get_notices_*(), so it must be set always before doing any of those calls.

Passing NULL will reset the value too, in which case the mili- and micro-seconds defined in the `since_date_time` parameter will be used.

Available since: 1.66

#### Parameters

`nanoseconds`

  Type: `gint32`

  The nanoseconds value to use to combine with the #since_date_time property to filter notices after it.